Subject: bug#39024: 28.0.50; Unable to compress or uncompress files in Emacs on Windows 10

From: Eli Zaretskii <[email-masked]>
Date: Wed, 08 Jan 2020 22:08:45 +0200

> From: Raoul Comninos <[email-masked]>
> Date: Wed, 8 Jan 2020 21:46:02 +0200
> 
> Thank you Eli. I have applied the patch and tested compression. I can compress successfully now, but when
> I try to uncompress  I get this error:
> 
> apply: Searching for program: Permission denied, gunzip
> 
> I have gunzip installed and it is in my path. 

Are you trying to uncompress a .tar.gz archive of a compressed
directory, or are you trying to uncompress a .gz file that is not a
directory?

And what is 'gunzip' in your case? is it per chance a Unix shell
script and not a .exe program?  Emacs on Windows cannot invoke Unix
shell scripts.